# module WpUsers::Detectable

### Public Instance Methods

passive_detection(wp_target, options = {}) click to toggle source

No passive detection

@return [ WpUsers ]

    # File lib/common/collections/wp_users/detectable.rb, line 11
    def passive_detection(wp_target, options = {})
      new
    end

request_params() click to toggle source

@return [ Hash ]

    # File lib/common/collections/wp_users/detectable.rb, line 6
    def request_params; {} end

### Protected Instance Methods

targets_items(wp_target, options = {}) click to toggle source

@param [ WpTarget ] wp_target @param [ Hash ] options @option options [ Range ] :range ((1..10))

@return [ Array<WpUser> ]

    # File lib/common/collections/wp_users/detectable.rb, line 22
    def targets_items(wp_target, options = {})
      range   = options[:range] || (1..10)
      targets = []

      range.each do |user_id|
        targets << WpUser.new(wp_target.uri, id: user_id)
      end
      targets
    end